For Developers

Fetch Application

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id

Returns a model-shaped MikroORM Application entity for an application owned by the team.

Requires applications.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "035d6dd6-1569-47b2-8ed8-63435be58078",
        "created_date": "2023-01-10T16:00:00.000Z",
        "updated_date": "2025-03-22T11:45:00.000Z",
        "name": "My Learning App",
        "state": "released",
        "description": "An Edlink-connected learning platform",
        "icon_url": "/apps/my-learning-app/icon.png",
        "banner_url": "/apps/my-learning-app/banner.png",
        "sso_enabled": true,
        "origin": "https://app.example.com",
        "default_block_ids": []
    }
}
  • PATCH /api/v2/teams/:team_id/applications/:application_id — Update application settings
  • DELETE /api/v2/teams/:team_id/applications/:application_id — Destroy an application